/*
 * Copyright (c) 1998-2000 The Anthill Team.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package anthill.util;

/**
 *  This class contains various utility methods.
 *
 *  @author  Alberto Montresor
 *  @version $Revision$
 */
public final class Util
{
  
  /**
   *  Print the description of an exceptional condition and exit from it.
   */
  public static void panic(Throwable e)
  {
    e.printStackTrace();
    System.exit(0);
  }

  public static void main(String[] args)
  {
    for (int i=0; i < 10000; i++) {
      int coin = (new java.util.Random().nextInt(100))+1;
      System.out.print(coin + " ");     
    }
    System.out.println("\n\n");
    java.util.Random random = new java.util.Random();
    for (int i=0; i < 10000; i++) {
      int coin = (random.nextInt(100))+1;
      System.out.print(coin + " ");     
    }
  }
  
} // END Util

