/*
 * Copyright (c) 2001 The Anthill Team
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

package freenetant;

import anthill.*;
import anthill.factory.*;
import anthill.antsim.*;
import anthill.util.*;
import java.io.*;

/**
 *
 *  @author Andrea Piergallini
 *  @author Luca Vagnozzi
 *  @version $Revision$
 */
public class FreenetTest
{

  public static void main(String[] args)
    throws Exception
  {
//    try {
    Factory factory = new Factory(args);
    Experiment experiment = (Experiment) factory.get(Experiment.class);
    Stats[] stats = experiment.evaluate();
    float found = stats[0].get("FoundResources");
    float requested = stats[0].get("RequestedResources");
    Log.println(100, "Found: " +found + " Requested: " + requested);
//  } catch (Exception e) {}
  }
  
} // END FreenetTest


